View Issue Details

IDCategoryLast Update
0008724bugs2021-06-14 08:29
ReporterimstreAssigned To 
Reproducibilityrandom 
Status newResolutionopen 
PlatformMicrosoftOSWindowsOS Version10
Product Version6.7 
Fixed in Version 
Summary0008724: Crashed project
Descriptionyesterday I worked on the project save and closed.
i can't open today, so safe mode.
TagsNo tags attached.

Activities

imstre

2021-05-26 04:43

reporter  

2021-05-26_07-42-59.png (26,395 bytes)
2021-05-26_07-42-59.png (26,395 bytes)

x42

2021-05-26 18:52

administrator   ~0025893

Is there a backtrace in %localappdata%\Ardour6\CrashLog\ ?

Does it happen with new sessions or only the existing one ?

imstre

2021-05-27 06:12

reporter   ~0025896

this is not a new project but I opened and worked normally.
I closed and then crashed.
whether an error can be corrected?

Ardour-6.7.12-crash-1621929473.txt (12,524 bytes)
-------------------

Error occurred on Tuesday, May 25, 2021 at 11:06:23.

Ardour.exe caused an Access Violation at location 0000000019285CD5 in module libgtkmm-2.4-1.dll Reading from location 0000000000000000.

AddrPC           Params
0000000019285CD5 0000000098F76E88 000000002D862C00 0000000016F8E6E0  libgtkmm-2.4-1.dll!Gtk::Action::get_label
000000002A08D147 0000000000160000 00007FFB00000002 0000000000000040  gtkmm2ext-0.dll!bound_name  [/home/ardour/ardour-w64-dbg/build/../libs/gtkmm2ext/bindings.cc @ 1094]
000000000075E3B2 0000000016F8EC70 0000000000000039 000000002E0B4D20  Ardour.exe!bind  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/keyeditor.cc @ 340]
000000000075E9EC 0000003F00000001 0000000016F8EC60 000000002E0B4D10  Ardour.exe!key_release_event  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/keyeditor.cc @ 225]
0000000000D97870 0061004C0020002D 0020006E00690074 0000000016F8EC60  Ardour.exe!call_it  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/keyeditor.cc @ 229]
000000001934F43D 0000000000000000 0000000054AA8620 0000000000000000  libgtkmm-2.4-1.dll!(anonymous namespace)::Widget_signal_key_release_event_callback
00000000618A7276 0000000000000000 0000000000000000 0000000000000000  libgtk-win32-2.0-0.dll!_gtk_marshal_BOOLEAN__BOXED
0000000063A46DBC 0000000000000000 000000002E0B4D10 0000759BCE3DCA94  libgobject-2.0-0.dll!g_closure_invoke
0000000063A598F2 000000002EAC7B40 0000000000000000 000000002E0B4D10  libgobject-2.0-0.dll!signal_emit_unlocked_R
0000000063A62C1C 000000002E0B4D10 0000000061A3474A 0000000000000000  libgobject-2.0-0.dll!g_signal_emit_valist
0000000063A631F8 0000000053488840 0000000063A4CE67 000000002E0B4D10  libgobject-2.0-0.dll!g_signal_emit
0000000061A34C3D 0000000016F8EE9C 0000000000000000 00000000836F57B0  libgtk-win32-2.0-0.dll!gtk_widget_event_internal
0000000061A4C51B 00000000193F31E0 0000000053488840 0000000016F8F250  libgtk-win32-2.0-0.dll!gtk_window_propagate_key_event
0000000061A5048B 0000000000000006 00000000193F2AC0 00000000836F5B38  libgtk-win32-2.0-0.dll!gtk_window_key_press_event
000000001934DC75 0000000200000000 000000002F195D34 0000000054AA8620  libgtkmm-2.4-1.dll!Gtk::Widget::on_key_press_event
000000000049A8FE 000000002EB56740 0000000063A711E9 0000000016F8F000  Ardour.exe!on_key_release_event  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/ardour_window.cc @ 77]
0000000019353689 0000000000000001 00007FFBBD0498B7 0000000000000034  libgtkmm-2.4-1.dll!Gtk::Widget_Class::key_release_event_callback
00000000618A7276 0000000000000001 00007FFBC04637DA 0000000000246000  libgtk-win32-2.0-0.dll!_gtk_marshal_BOOLEAN__BOXED
0000000063A46DBC 0001000100000000 0000000053488840 0000000000000000  libgobject-2.0-0.dll!g_closure_invoke
0000000063A597E3 000000002EAC7B40 0000000000000000 0000000053488840  libgobject-2.0-0.dll!signal_emit_unlocked_R
0000000063A62C1C 0000000053488840 0000000061A3474A 0000000000000000  libgobject-2.0-0.dll!g_signal_emit_valist
0000000063A631F8 FFFFFFFFFFFFFFFF 0000000063A4CEFC 0000000053488840  libgobject-2.0-0.dll!g_signal_emit
0000000061A34C3D 0000000053488840 000000002E5CF380 0000000000000000  libgtk-win32-2.0-0.dll!gtk_widget_event_internal
00000000618A5869 0000000000000000 0000000068636E4C 000000006C3973E0  libgtk-win32-2.0-0.dll!gtk_propagate_event
00000000618A5C7B 000000006C3973E0 000000002CA07000 0000000016F8F590  libgtk-win32-2.0-0.dll!gtk_main_do_event
000000006C392ACC 0000000000000000 0000000068606D1A 000000002F899690  libgdk-win32-2.0-0.dll!gdk_event_dispatch
0000000068607613 0000000000000000 0000000016F8FB58 0000000000000000  libglib-2.0-0.dll!g_main_context_dispatch
00000000686078CC 0000000000000000 0000000000AF7990 0000000000000010  libglib-2.0-0.dll!g_main_context_iterate.isra.26
0000000068608093 000000002E1CC5A0 0000000017070000 000000002E845340  libglib-2.0-0.dll!g_main_loop_run
00000000618A48C0 0000000000000020 0000000000000001 000000000000001B  libgtk-win32-2.0-0.dll!gtk_main
000000002A0A0769 0000000000000001 00000000644018C0 0000000000000000  gtkmm2ext-0.dll!run  [/home/ardour/ardour-w64-dbg/build/../libs/gtkmm2ext/gtk_ui.cc @ 310]
00000000007BB603 0000000000000001 000000002CA3AAC0 0000000001285548  Ardour.exe!main  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/main.cc @ 410]
00000000004013E8 0000000000000000 0000000000000000 0000000000000000  Ardour.exe!__tmainCRTStartup  [/tmp/buildd/mingw-w64-3.2.0/build/x86_64-w64-mingw32-x86_64-w64-mingw32-crt/../../mingw-w64-crt/crt/crtexe.c @ 332]
00000000004014EB 0000000000000000 0000000000000000 0000000000000000  Ardour.exe!WinMainCRTStartup  [/tmp/buildd/mingw-w64-3.2.0/build/x86_64-w64-mingw32-x86_64-w64-mingw32-crt/../../mingw-w64-crt/crt/crtexe.c @ 184]
00007FFBC1177C24 0000000000000000 0000000000000000 0000000000000000  KERNEL32.DLL!BaseThreadInitThunk
00007FFBC14CD721 0000000000000000 0000000000000000 0000000000000000  ntdll.dll!RtlUserThreadStart

Ardour.exe
ntdll.dll   	6.2.18362.1411
KERNEL32.DLL	6.2.18362.1350
KERNELBASE.dll	6.2.18362.1474
apphelp.dll 	6.2.18362.1139
AcLayers.DLL	6.2.18362.1198
msvcrt.dll  	7.0.18362.1
USER32.dll  	6.2.18362.1316
win32u.dll  	6.2.18362.1474
GDI32.dll   	6.2.18362.1316
gdi32full.dll	6.2.18362.1440
msvcp_win.dll	6.2.18362.1110
ucrtbase.dll	6.2.18362.1110
SHLWAPI.dll 	6.2.18362.1316
combase.dll 	6.2.18362.1474
RPCRT4.dll  	6.2.18362.1316
bcryptPrimitives.dll	6.2.18362.1237
ADVAPI32.dll	6.2.18362.752
sechost.dll 	6.2.18362.1474
sfc.dll     	6.2.18362.1
WINSPOOL.DRV	6.2.18362.1316
kernel.appcore.dll	6.2.18362.1171
bcrypt.dll  	6.2.18362.1237
PROPSYS.dll 	7.0.18362.1474
OLEAUT32.dll	6.2.18362.1377
shcore.dll  	6.2.18362.1316
IPHLPAPI.DLL	6.2.18362.1
sfc_os.DLL  	6.2.18362.1
SortWindows61.dll	6.2.18362.1
IMM32.DLL   	6.2.18362.387
libatkmm-1.6-1.dll
libcairo-2.dll
libcairomm-1.0-1.dll
libcurl-4.dll
CRYPT32.dll 	6.2.18362.1411
libfftw3f-3.dll
libfontconfig-1.dll
libgdk-win32-2.0-0.dll	2.24.25.0
MSASN1.dll  	6.2.18362.1
libgdkmm-2.4-1.dll
ole32.dll   	6.2.18362.1316
WLDAP32.dll 	6.2.18362.449
libglib-2.0-0.dll	2.42.0.0
SHELL32.dll 	6.2.18362.1474
cfgmgr32.dll	6.2.18362.387
libgobject-2.0-0.dll	2.42.0.0
libglibmm-2.4-1.dll
libgtk-win32-2.0-0.dll	2.24.25.0
comdlg32.dll	6.2.18362.1474
libintl-8.dll	0.19.3.0
liblo-7.dll
libpango-1.0-0.dll	1.40.4.0
WS2_32.dll  	6.2.18362.387
libpangocairo-1.0-0.dll	1.40.4.0
libpangoft2-1.0-0.dll	1.40.4.0
libpangomm-1.4-1.dll
pthreadGC2.dll	2.9.1.0
libsigc-2.0-0.dll
libxml2-2.dll
lilv-0.dll
suil-0.dll
libgcc_s_seh-1.dll
libstdc++-6.dll
audiographer-0.dll
evoral-0.dll
temporal-0.dll
waveview-0.dll
libatk-1.0-0.dll	2.14.0.0
windows.storage.dll	6.2.18362.1474
libfreetype-6.dll
profapi.dll 	6.2.18362.1411
powrprof.dll	6.2.18362.1
libpixman-1-0.dll
libpng16-16.dll
zlib1.dll   	1.2.7.0
UMPDC.dll
MSIMG32.dll 	6.2.18362.1082
cryptsp.dll 	6.2.18362.1
libffi-6.dll
libgmodule-2.0-0.dll	2.42.0.0
libiconv-2.dll	1.14.0.0
COMCTL32.dll	5.82.18362.1474
libharfbuzz-0.dll
libpangowin32-1.0-0.dll	1.40.4.0
serd-0.dll
sratom-0.dll
sord-0.dll
libsamplerate-0.dll
libsndfile-1.dll	1.0.27.0
WINMM.dll   	6.2.18362.1
USP10.dll   	6.2.18362.1440
libogg-0.dll
libvorbis-0.dll
libvorbisenc-2.dll
WINMMBASE.dll	6.2.18362.1
libFLAC-8.dll
libgtkmm-2.4-1.dll
canvas-0.dll
ardour-3.dll
gtkmm2ext-0.dll
midipp-4.dll
pbd-4.dll
ptformat-0.dll
ardourcp.dll
widgets-0.dll
libgdk_pixbuf-2.0-0.dll	2.31.1.0
libgio-2.0-0.dll	2.42.0.0
libgiomm-2.4-1.dll
libjpeg-9.dll
DNSAPI.dll  	6.2.18362.1316
NSI.dll     	6.2.18362.1171
libarchive-13.dll
libtiff-5.dll
libgnurx-0.dll
libfftw3-3.dll
libtag.dll
liblzma-5.dll	5.2.2.0
uxtheme.dll 	6.2.18362.1316
clbcatq.dll 	2001.12.10941.16384
secur32.dll 	6.2.18362.1
SSPICLI.DLL 	6.2.18362.1474
mswsock.dll 	6.2.18362.815
exchndl.dll 	0.9.2.0
PSAPI.DLL   	6.2.18362.1
VERSION.dll 	6.2.18362.1
mgwhelp.dll 	0.9.2.0
dbghelp.dll 	6.2.18362.1440
dbgcore.DLL 	6.2.18362.1350
rsaenh.dll  	6.2.18362.1
CRYPTBASE.dll	6.2.18362.1
avrt.dll    	6.2.18362.1
ardour_cc121.dll
ardour_contourdesign.dll
libusb-1.0.dll	1.0.20.11004
SetupAPI.dll	6.2.18362.1
WinUSB.DLL  	6.2.18362.1
hid.dll     	6.2.18362.1
ardour_faderport.dll
ardour_faderport16.dll
ardour_faderport2.dll
ardour_faderport8.dll
ardour_generic_midi.dll
ardour_launch_control_xl.dll
ardour_mcp.dll
ardour_osc.dll
ardour_push2.dll
ardour_us2400.dll
ardour_websockets.dll
libwebsockets.dll	4.0.15.0
pan1in2out.dll
pan2in2out.dll
panbalance.dll
panvbap.dll
dummy_audiobackend.dll
jack_audiobackend.dll
libportaudio-2.dll
libjack64.dll
portaudio_callback_backend.dll
libclearlooks.la
mdnsNSP.dll 	3.0.0.10
rasadhlp.dll	6.2.18362.1
fwpuclnt.dll	6.2.18362.1411
MMDevAPI.DLL	6.2.18362.1316
DEVOBJ.dll  	6.2.18362.387
wdmaud.drv  	6.2.18362.1
ksuser.dll  	6.2.18362.1
AUDIOSES.DLL	6.2.18362.1350
wintypes.dll	6.2.18362.1474
msacm32.drv 	6.2.18362.1
MSACM32.dll 	6.2.18362.1
midimap.dll 	6.2.18362.1
resourcepolicyclient.dll	6.2.18362.959
asio4all64.dll	2.14.0.0
WINTRUST.dll	6.2.18362.1377
MSCTF.dll   	6.2.18362.1350
ilwasapi2asio_x64.dll
jackrouter.dll	0.2.1.0
MSVCP140.dll	14.28.29325.2
VCRUNTIME140.dll	14.28.29325.2
VCRUNTIME140_1.dll	14.28.29325.2
rthdasio64.dll	2.0.0.0
audiokse.dll	6.2.18362.1350
soundgridasio.dll	11.2.70.257
msiltcfg.dll	5.0.18362.1
msi.dll     	5.0.18362.1440
Comctl32.dll	6.10.18362.1474
srpapi.dll  	6.2.18362.1110
ntmarta.dll 	6.2.18362.1
ysusb_asio64.dll	2.0.4.0
winhttp.dll 	6.2.18362.1411
WindowsCodecs.dll	6.2.18362.1440
TextInputFramework.dll	6.2.18362.1474
CoreUIComponents.dll	6.2.18362.1110
CoreMessaging.dll	6.2.18362.1316
iertutil.dll	11.0.18362.1474
Windows.UI.dll	6.2.18362.1316
InputHost.dll	6.2.18362.1474
mscms.dll   	6.2.18362.1316
ColorAdapterClient.dll	6.2.18362.836
USERENV.dll 	6.2.18362.1139
icm32.dll   	6.2.18362.836
Channel Strip OLD.dll	1.4.593.1
d3d11.dll   	6.2.18362.1411
DWrite.dll  	6.2.18362.1440
gdiplus.dll 	6.2.18362.1474
OPENGL32.dll	6.2.18362.387
d2d1.dll    	6.2.18362.900
dxgi.dll    	6.2.18362.1316
GLU32.dll   	6.2.18362.387
dxcore.dll  	6.2.18362.1316
PatchMemory.sem
RH-DSP.sem
Filters.sem
Inverter.sem
Softdistortion.sem
ControlsXp.sem
Master Tone le.vst3	1.4.593.1
PatchMemory.sem
Filters.sem
Inverter.sem
RH-DSP.sem
ControlsXp.sem
Softdistortion.sem
Master Tone pro.vst3	1.4.549.1
TD_MemoryPack.sem
PatchMemory.sem
Filters.sem
Inverter.sem
RH-DSP.sem
ControlsXp.sem
Softdistortion.sem
HoRNetMagnusMK2_x64.vst3
WININET.dll 	11.0.18362.1411
VPS Scope (CM edition)_x64.dll	1.0.4.0
Youlean Loudness Meter 2.vst3
urlmon.dll  	11.0.18362.1474
MFPlat.DLL  	6.2.18362.1316
MFReadWrite.dll	6.2.18362.1316
RTWorkQ.DLL 	6.2.18362.1
TX16Wx.vst3 	3.400.5871.1071
wbemprox.dll	6.2.18362.1411
wbemcomn.dll	6.2.18362.1411
wbemsvc.dll 	6.2.18362.1411
fastprox.dll	6.2.18362.1
amsi.dll    	6.2.18362.1316
MpOav.dll   	4.18.2104.14
dhcpcsvc6.DLL	6.2.18362.1171
dhcpcsvc.DLL	6.2.18362.1171
imagehlp.dll	6.2.18362.1
gpapi.dll   	6.2.18362.1139
cryptnet.dll	6.2.18362.1
WINNSI.DLL  	6.2.18362.449
REX Shared Library.dll	1.7.0.4096
Windows.StateRepositoryPS.dll	6.2.18362.1474
CLDAPI.dll  	6.2.18362.1237
FLTLIB.DLL  	6.2.18362.1
coml2.dll   	6.2.18362.1
mssprxy.dll 	7.0.18362.1474
LINKINFO.dll	6.2.18362.1
ntshrui.dll 	6.2.18362.1411
srvcli.dll  	6.2.18362.1
cscapi.dll  	6.2.18362.1
msxml6.DLL  	6.30.18362.1474
dataexchange.dll	6.2.18362.1316
dcomp.dll   	6.2.18362.1474
twinapi.appcore.dll	6.2.18362.1316
RMCLIENT.dll	6.2.18362.1316
igd10iumd64.dll	20.19.15.4835
ncrypt.dll  	6.2.18362.1
NTASN1.dll  	6.2.18362.1
igdusc64.dll	20.19.15.4835
dwmapi.dll  	6.2.18362.1316
#TChorus (64-bit).vst3	1.0.44.0
TB_OmniSone.dll
TB_EZQ_v3.dll
Nexus.64.dll
Proxy64.dll
Bridger64.dll
edputil.dll 	6.2.18362.1
appresolver.dll	6.2.18362.1474
Bcp47Langs.dll	6.2.18362.1440
SLC.dll     	6.2.18362.815
sppc.dll    	6.2.18362.1440
OneCoreCommonProxyStub.dll	6.2.18362.1474
OneCoreUAPCommonProxyStub.dll	6.2.18362.1411
OTT_x64.dll 	1.2.0.1
Channel Strip old-75.vst3	1.4.593.1
PatchMemory.sem
RH-DSP.sem
Filters.sem
Inverter.sem
Softdistortion.sem
ControlsXp.sem
a-fluidsynth.dll
AIRReverb_x64.dll	1.2.10.0
MSVCP80.dll 	8.0.50727.9659
MSVCR80.dll 	8.0.50727.9659
D3D10Warp.dll	6.2.18362.1049
ondemandconnroutehelper.dll	6.2.18362.1
schannel.DLL	6.2.18362.1350
mskeyprotect.dll	6.2.18362.1
DPAPI.DLL   	6.2.18362.1
ncryptsslp.dll	6.2.18362.1

Windows 6.2.9200
DrMingw 0.9.2

Ardour-6.7.18-crash-1621945453.txt (13,999 bytes)
-------------------

Error occurred on Tuesday, May 25, 2021 at 17:34:01.

Ardour.exe caused an Access Violation at location 00007FFB7C493755 in module ADSR Sample Manager.dll Reading from location FFFFFFFFFFFFFFF0.

AddrPC           Params
00007FFB7C493755 000000004D17B900 0000000000000000 0000000000000001  ADSR Sample Manager.dll!0x7ffb00873755
00007FFB7C4946FC 0000000078C6F080 0000000000000001 000000007853FBF0  ADSR Sample Manager.dll!0x7ffb008746fc
00007FFB7C49463A 0000000000000000 0000000000000000 00000000712D9190  ADSR Sample Manager.dll!0x7ffb0087463a
00007FFB7C4941FF 0000000000000001 0000000000000000 0000000000000001  ADSR Sample Manager.dll!0x7ffb008741ff
00007FFB7C49389E 0000000000000000 0000000000000001 0000000079ECB660  ADSR Sample Manager.dll!0x7ffb0087389e
00007FFB7C493854 0000000079ECB658 000000A0000002C4 0000000000000000  ADSR Sample Manager.dll!0x7ffb00873854
00007FFB7C2BEF25 0000000074F228B8 000000005FAC2720 000000005FAC2720  ADSR Sample Manager.dll!0x7ffb0069ef25
00007FFB7C493052 0000000074F228B0 000001F0000002EC 0000000000000001  ADSR Sample Manager.dll!0x7ffb00873052
00007FFB7C2BEF25 00000000FFFFFFFF 0000000078A51078 0000000078A51078  ADSR Sample Manager.dll!0x7ffb0069ef25
00007FFB7C930CA0 0000000078A51078 0000000078A51078 0000000000000001  ADSR Sample Manager.dll!VSTPluginMain
00007FFB7C901FD5 000000004CD46C70 000000004CD46C70 0000000000000001  ADSR Sample Manager.dll!VSTPluginMain
00007FFB7C45D03D 000000004CD46C70 0000000074B84C70 00000000FFFFFFFF  ADSR Sample Manager.dll!0x7ffb0083d03d
00007FFB7C6AF62F 000000007EEF49F0 0000000044122310 000000007EEF5470  ADSR Sample Manager.dll!VSTPluginMain
00007FFB7C39C214 000000004D06E600 0000000044122310 000000004D06E600  ADSR Sample Manager.dll!0x7ffb0077c214
00007FFB7C2BB928 000000004CF00540 00007FFB7D6ED6F0 000000004CF00540  ADSR Sample Manager.dll!0x7ffb0069b928
00007FFB7C2B8817 000000004CF00540 000000004CF00540 0000000016F8E4A0  ADSR Sample Manager.dll!0x7ffb00698817
00007FFB7C2BACCC 0000000000000000 000000004CF00540 000000004E92BB80  ADSR Sample Manager.dll!0x7ffb0069accc
00007FFB7C2B8C8C 000000004E92BB80 000000004CF00540 000000004E92BB80  ADSR Sample Manager.dll!0x7ffb00698c8c
00007FFB7C2B9619 00007FFBC140FA60 0000000019DAF4F0 000000004E92BB80  ADSR Sample Manager.dll!0x7ffb00699619
00000000199BF4C7 000000006FCD7240 00007FFBC13C7355 00007FFBC140FA60  ardour-3.dll!fst_destroy_editor  [/home/ardour/ardour-w64-dbg/build/../libs/fst/vstwin.c @ 471]
0000000000C262AD 00007FFBC140FA60 000000006FCD7240 00000000712FA400  Ardour.exe! ??   [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/windows_vst_plugin_ui.cc @ 62]
0000000000C26553 0000000000000000 000000005AE73520 0000000057AB8060  Ardour.exe! ??   [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/windows_vst_plugin_ui.cc @ 66]
000000000093F563 0000000000000000 0000000000000001 000000005AE73250  Ardour.exe! ??   [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/plugin_ui.cc @ 200]
000000000093F699 000000002FAF71B0 00007FFBC149B9BE 0000000003FF0392  Ardour.exe! ??   [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/plugin_ui.cc @ 201]
000000000097C489 0000000000000070 0000000000090D50 0000000000000000  Ardour.exe!processor_going_away  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/processor_box.cc @ 4514]
0000000000E218E6 0000000000000060 0000000000000080 0000000017140000  Ardour.exe!invoke  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/processor_box.cc @ 4135]
0000000000E20880 0000000000000060 0000000000000008 0000000000000000  Ardour.exe!invoke  [/home/ardour/win-stack-w64-dbg/include/boost/smart_ptr/detail/sp_counted_base_gcc_x86.hpp @ 127]
000000002A60ED36 0000000000000008 0000000000000000 0000000000000000  gtkmm2ext-0.dll!call_slot  [/home/ardour/ardour-w64-dbg/build/../libs/pbd/pbd/abstract_ui.h @ 64]
0000000000CF7486 0000000019E0FC88 000000002EFD50E0 0000000044122310  Ardour.exe!compositor  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/ardour_ui.cc @ 2967]
0000000000E230C7 0000000000000000 0000000019D1142A 000000002E420320  Ardour.exe!invoke  [/home/ardour/win-stack-w64-dbg/include/boost/smart_ptr/detail/sp_counted_base_gcc_x86.hpp @ 127]
0000000019A9DDC8 0000000000000001 0000000017140000 0000000000000000  ardour-3.dll! ??   [/home/ardour/ardour-w64-dbg/build/../libs/pbd/pbd/property_basics.h @ 116]
000000001972F993 0000000000000000 00007FFBC1399CFC 0000000000000000  ardour-3.dll!drop_references  [/home/ardour/ardour-w64-dbg/build/../libs/pbd/pbd/destructible.h @ 35]
00000000197D9A58 000000005A878170 000000002E4210E8 000000002E4210F0  ardour-3.dll! ??   [/home/ardour/ardour-w64-dbg/build/../libs/ardour/route.cc @ 315]
0000000019939413 0000000058BF1200 0000000058BF11D0 0000000016F8EE20  ardour-3.dll! ??   [/home/ardour/ardour-w64-dbg/build/../libs/ardour/track.cc @ 72]
00000000196CFFB2 0000000058BF11D0 0000000019D15351 000000002EFD50E0  ardour-3.dll! ??   [/home/ardour/ardour-w64-dbg/build/../libs/ardour/midi_track.cc @ 94]
00000000196D0167 000000002F1A1090 000000002F1A0870 000000002F1A0890  ardour-3.dll! ??   [/home/ardour/ardour-w64-dbg/build/../libs/ardour/midi_track.cc @ 96]
0000000019ADE0A3 000000002EFD50E0 0000000000000001 0000000000000000  ardour-3.dll!dispose  [/home/ardour/ardour-w64-dbg/build/../libs/ardour/session.cc @ 5973]
0000000019D15FB5 000000002EFD50E0 0000000000000001 0000000050F0B950  ardour-3.dll!_M_erase  [/home/ardour/ardour-w64-dbg/build/../libs/ardour/ardour/session.h @ 1344]
0000000019D15F7F 000000005B04C1A0 000000004D531020 0000000016F8F020  ardour-3.dll!_M_erase  [/home/ardour/ardour-w64-dbg/build/../libs/ardour/ardour/session.h @ 1344]
0000000019844386 0000000043FE8808 0000000000000001 000000002EFD50E0  ardour-3.dll! ??   [/usr/lib/gcc/x86_64-w64-mingw32/4.9-win32/include/c++/bits/stl_tree.h @ 715]
00000000198459E7 000000002F912600 000000002E21AD20 000000002D8816C0  ardour-3.dll! ??   [/home/ardour/ardour-w64-dbg/build/../libs/ardour/session.cc @ 508]
00000000004302C1 00007FFB961AB1A0 0000000000000002 0000000000000000  Ardour.exe!finish  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/ardour_ui.cc @ 1079]
000000000044B9E6 000000000014A910 00000000001CBB60 0000000000000000  Ardour.exe!idle_ask_about_quit  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/ardour_ui_dependents.cc @ 202]
0000000000E7B18B 000000002EBAC8D0 00007FFB00000000 000000002E2072A0  Ardour.exe!operator()  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/ardour_ui.cc @ 2967]
0000000000D91AAD 0000000000000000 00007FFBC117FEC7 0000000000000011  Ardour.exe!call_it  [/home/ardour/ardour-w64-dbg/build/../libs/pbd/pbd/stateful.h @ 136]
00000000664D4E43 0000000000000000 0000000068606D1A 000000002EBAC8D0  libglibmm-2.4-1.dll!(anonymous namespace)::glibmm_source_callback
00000000686074EE 0000000000000000 0000000016F8FB58 0000000000000000  libglib-2.0-0.dll!g_main_context_dispatch
00000000686078CC 0000000000000000 0000000000AF87C0 0000000000000010  libglib-2.0-0.dll!g_main_context_iterate.isra.26
0000000068608093 000000002E1121F0 0000000017140000 000000003FAD9A60  libglib-2.0-0.dll!g_main_loop_run
00000000618A48C0 0000000000000020 0000000000000001 000000000000001B  libgtk-win32-2.0-0.dll!gtk_main
000000002A5F0769 0000000000000001 00000000644018C0 0000000000000000  gtkmm2ext-0.dll!run  [/home/ardour/ardour-w64-dbg/build/../libs/gtkmm2ext/gtk_ui.cc @ 310]
00000000007BC3D3 0000000000000001 000000002CA2A560 0000000001286548  Ardour.exe!main  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/main.cc @ 410]
00000000004013E8 0000000000000000 0000000000000000 0000000000000000  Ardour.exe!__tmainCRTStartup  [/tmp/buildd/mingw-w64-3.2.0/build/x86_64-w64-mingw32-x86_64-w64-mingw32-crt/../../mingw-w64-crt/crt/crtexe.c @ 332]
00000000004014EB 0000000000000000 0000000000000000 0000000000000000  Ardour.exe!WinMainCRTStartup  [/tmp/buildd/mingw-w64-3.2.0/build/x86_64-w64-mingw32-x86_64-w64-mingw32-crt/../../mingw-w64-crt/crt/crtexe.c @ 184]
00007FFBC1177C24 0000000000000000 0000000000000000 0000000000000000  KERNEL32.DLL!BaseThreadInitThunk
00007FFBC14CD721 0000000000000000 0000000000000000 0000000000000000  ntdll.dll!RtlUserThreadStart

Ardour.exe
ntdll.dll   	6.2.18362.1411
KERNEL32.DLL	6.2.18362.1350
KERNELBASE.dll	6.2.18362.1474
apphelp.dll 	6.2.18362.1139
AcLayers.DLL	6.2.18362.1198
msvcrt.dll  	7.0.18362.1
USER32.dll  	6.2.18362.1316
win32u.dll  	6.2.18362.1474
GDI32.dll   	6.2.18362.1316
gdi32full.dll	6.2.18362.1440
msvcp_win.dll	6.2.18362.1110
ucrtbase.dll	6.2.18362.1110
SHLWAPI.dll 	6.2.18362.1316
combase.dll 	6.2.18362.1474
RPCRT4.dll  	6.2.18362.1316
bcryptPrimitives.dll	6.2.18362.1237
ADVAPI32.dll	6.2.18362.752
sechost.dll 	6.2.18362.1474
sfc.dll     	6.2.18362.1
WINSPOOL.DRV	6.2.18362.1316
kernel.appcore.dll	6.2.18362.1171
bcrypt.dll  	6.2.18362.1237
PROPSYS.dll 	7.0.18362.1474
OLEAUT32.dll	6.2.18362.1377
shcore.dll  	6.2.18362.1316
IPHLPAPI.DLL	6.2.18362.1
sfc_os.DLL  	6.2.18362.1
SortWindows61.dll	6.2.18362.1
IMM32.DLL   	6.2.18362.387
libcurl-4.dll
CRYPT32.dll 	6.2.18362.1411
MSASN1.dll  	6.2.18362.1
WLDAP32.dll 	6.2.18362.449
WS2_32.dll  	6.2.18362.387
libcairomm-1.0-1.dll
libcairo-2.dll
libatkmm-1.6-1.dll
libfftw3f-3.dll
libfontconfig-1.dll
libgdk-win32-2.0-0.dll	2.24.25.0
ole32.dll   	6.2.18362.1316
SHELL32.dll 	6.2.18362.1474
cfgmgr32.dll	6.2.18362.387
windows.storage.dll	6.2.18362.1474
profapi.dll 	6.2.18362.1411
powrprof.dll	6.2.18362.1
UMPDC.dll
cryptsp.dll 	6.2.18362.1
libgdkmm-2.4-1.dll
libglib-2.0-0.dll	2.42.0.0
libgobject-2.0-0.dll	2.42.0.0
libglibmm-2.4-1.dll
libgtk-win32-2.0-0.dll	2.24.25.0
comdlg32.dll	6.2.18362.1474
libintl-8.dll	0.19.3.0
liblo-7.dll
libpangocairo-1.0-0.dll	1.40.4.0
libpango-1.0-0.dll	1.40.4.0
libpangoft2-1.0-0.dll	1.40.4.0
libsigc-2.0-0.dll
pthreadGC2.dll	2.9.1.0
libpangomm-1.4-1.dll
suil-0.dll
libgcc_s_seh-1.dll
libstdc++-6.dll
libxml2-2.dll
audiographer-0.dll
lilv-0.dll
evoral-0.dll
temporal-0.dll
waveview-0.dll
zlib1.dll   	1.2.7.0
libfreetype-6.dll
MSIMG32.dll 	6.2.18362.1082
libatk-1.0-0.dll	2.14.0.0
libpng16-16.dll
libpixman-1-0.dll
WINMM.dll   	6.2.18362.1
libffi-6.dll
COMCTL32.dll	5.82.18362.1474
libiconv-2.dll	1.14.0.0
libpangowin32-1.0-0.dll	1.40.4.0
libgmodule-2.0-0.dll	2.42.0.0
libharfbuzz-0.dll
libsamplerate-0.dll
libsndfile-1.dll	1.0.27.0
WINMMBASE.dll	6.2.18362.1
USP10.dll   	6.2.18362.1440
sord-0.dll
sratom-0.dll
serd-0.dll
libFLAC-8.dll
libogg-0.dll
libvorbis-0.dll
libvorbisenc-2.dll
libgtkmm-2.4-1.dll
ardour-3.dll
canvas-0.dll
midipp-4.dll
gtkmm2ext-0.dll
ptformat-0.dll
pbd-4.dll
ardourcp.dll
widgets-0.dll
libgdk_pixbuf-2.0-0.dll	2.31.1.0
libgio-2.0-0.dll	2.42.0.0
libgiomm-2.4-1.dll
DNSAPI.dll  	6.2.18362.1316
NSI.dll     	6.2.18362.1171
libjpeg-9.dll
libgnurx-0.dll
libtiff-5.dll
libarchive-13.dll
libfftw3-3.dll
libtag.dll
liblzma-5.dll	5.2.2.0
uxtheme.dll 	6.2.18362.1316
clbcatq.dll 	2001.12.10941.16384
secur32.dll 	6.2.18362.1
SSPICLI.DLL 	6.2.18362.1474
mswsock.dll 	6.2.18362.815
exchndl.dll 	0.9.2.0
PSAPI.DLL   	6.2.18362.1
VERSION.dll 	6.2.18362.1
mgwhelp.dll 	0.9.2.0
dbghelp.dll 	6.2.18362.1440
dbgcore.DLL 	6.2.18362.1350
rsaenh.dll  	6.2.18362.1
CRYPTBASE.dll	6.2.18362.1
avrt.dll    	6.2.18362.1
ardour_cc121.dll
ardour_contourdesign.dll
libusb-1.0.dll	1.0.20.11004
SetupAPI.dll	6.2.18362.1
WinUSB.DLL  	6.2.18362.1
hid.dll     	6.2.18362.1
ardour_faderport.dll
ardour_faderport16.dll
ardour_faderport2.dll
ardour_faderport8.dll
ardour_generic_midi.dll
ardour_launch_control_xl.dll
ardour_mcp.dll
ardour_osc.dll
ardour_push2.dll
ardour_us2400.dll
ardour_websockets.dll
libwebsockets.dll	4.0.15.0
pan1in2out.dll
pan2in2out.dll
panbalance.dll
panvbap.dll
dummy_audiobackend.dll
jack_audiobackend.dll
libportaudio-2.dll
libjack64.dll
portaudio_callback_backend.dll
libclearlooks.la
mdnsNSP.dll 	3.0.0.10
rasadhlp.dll	6.2.18362.1
MMDevAPI.DLL	6.2.18362.1316
DEVOBJ.dll  	6.2.18362.387
wdmaud.drv  	6.2.18362.1
ksuser.dll  	6.2.18362.1
AUDIOSES.DLL	6.2.18362.1350
wintypes.dll	6.2.18362.1474
msacm32.drv 	6.2.18362.1
MSACM32.dll 	6.2.18362.1
midimap.dll 	6.2.18362.1
resourcepolicyclient.dll	6.2.18362.959
fwpuclnt.dll	6.2.18362.1411
asio4all64.dll	2.14.0.0
WINTRUST.dll	6.2.18362.1377
MSCTF.dll   	6.2.18362.1350
Windows.UI.dll	6.2.18362.1316
TextInputFramework.dll	6.2.18362.1474
InputHost.dll	6.2.18362.1474
CoreUIComponents.dll	6.2.18362.1110
CoreMessaging.dll	6.2.18362.1316
ntmarta.dll 	6.2.18362.1
audiokse.dll	6.2.18362.1350
ilwasapi2asio_x64.dll
jackrouter.dll	0.2.1.0
MSVCP140.dll	14.28.29325.2
VCRUNTIME140.dll	14.28.29325.2
VCRUNTIME140_1.dll	14.28.29325.2
rthdasio64.dll	2.0.0.0
soundgridasio.dll	11.2.70.257
msiltcfg.dll	5.0.18362.1
msi.dll     	5.0.18362.1440
Comctl32.dll	6.10.18362.1474
srpapi.dll  	6.2.18362.1110
ysusb_asio64.dll	2.0.4.0
winhttp.dll 	6.2.18362.1411
WindowsCodecs.dll	6.2.18362.1440
iertutil.dll	11.0.18362.1474
mscms.dll   	6.2.18362.1316
ColorAdapterClient.dll	6.2.18362.836
USERENV.dll 	6.2.18362.1139
icm32.dll   	6.2.18362.836
Loopcloud.dll	5.4.4.0
WININET.dll 	11.0.18362.1411
twinapi.appcore.dll	6.2.18362.1316
RMCLIENT.dll	6.2.18362.1316
thumbcache.dll	6.2.18362.1316
dataexchange.dll	6.2.18362.1316
d3d11.dll   	6.2.18362.1411
dcomp.dll   	6.2.18362.1474
dxgi.dll    	6.2.18362.1316
dxcore.dll  	6.2.18362.1316
d2d1.dll    	6.2.18362.900
DWrite.dll  	6.2.18362.1440
D3D10Warp.dll	6.2.18362.1049
ADSR Sample Manager.dll	1.6.4.0
OPENGL32.dll	6.2.18362.387
GLU32.dll   	6.2.18362.387
ondemandconnroutehelper.dll	6.2.18362.1
WINNSI.DLL  	6.2.18362.449
DPAPI.DLL   	6.2.18362.1
urlmon.dll  	11.0.18362.1474
schannel.DLL	6.2.18362.1350
mskeyprotect.dll	6.2.18362.1
ncrypt.dll  	6.2.18362.1
NTASN1.dll  	6.2.18362.1
cryptnet.dll	6.2.18362.1
ncryptsslp.dll	6.2.18362.1
dhcpcsvc6.DLL	6.2.18362.1171
dhcpcsvc.DLL	6.2.18362.1171
webio.dll   	6.2.18362.628

Windows 6.2.9200
DrMingw 0.9.2

x42

2021-05-28 23:49

administrator   ~0025908

Does now always happen, even when you create a new empty project?

x42

2021-05-28 23:50

administrator   ~0025909

Can you try to delete the file "instant.xml" in the session folder (that saves GUI settings and window sizes), and if that doesn't help remove %localappdata%\Ardour6\instant.xml

imstre

2021-05-29 05:05

reporter   ~0025910

"Does now always happen, even when you create a new empty project?" - with empty everything is fine.
I delete "instant.xml" there and there but the same mistake, thanks)

imstre

2021-05-29 05:08

reporter  

2021-05-29_08-07-49.png (49,848 bytes)
2021-05-29_08-07-49.png (49,848 bytes)

x42

2021-05-30 21:24

administrator   ~0025916

Too bad, I suspected the editor-sidebar, if that is too narrow it could trigger such an exception.

So it seems to be session-specific. Can you upload the session (just the .ardour file)?

imstre

2021-06-14 08:29

reporter   ~0025961

Ok

Issue History

Date Modified Username Field Change
2021-05-26 04:43 imstre New Issue
2021-05-26 04:43 imstre File Added: 2021-05-26_07-42-59.png
2021-05-26 18:52 x42 Note Added: 0025893
2021-05-27 06:12 imstre File Added: Ardour-6.7.12-crash-1621929473.txt
2021-05-27 06:12 imstre File Added: Ardour-6.7.18-crash-1621945453.txt
2021-05-27 06:12 imstre Note Added: 0025896
2021-05-28 23:49 x42 Note Added: 0025908
2021-05-28 23:50 x42 Note Added: 0025909
2021-05-29 05:05 imstre Note Added: 0025910
2021-05-29 05:08 imstre File Added: 2021-05-29_08-07-49.png
2021-05-30 21:24 x42 Note Added: 0025916
2021-06-14 08:29 imstre Note Added: 0025961